Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 02/01/2017, à 00:40

Dasy

Netbeans indéboulonnable

Bonjour à tous,
Je souhaite désinstaller Netbeans  car il n'a pas été installé avec tous les modules. Chaque fois que je le lance, une fenêtre s'ouvre pour me signaler d'installer jdk que j'ai déjà installé!
D'ailleurs,  j'ai peut-être installé plusieurs fois jdk pour Eclpise.
Comment puis savoir en ligne de commande si j'ai plusieurs jdk?
j'ai ce message:

dpkg -l | grep netbeans
rc  netbeans                                   8.1+dfsg2-3                                   all          Extensible Java IDE

ça ne me dit pas pour autant le nombre de netbeans que j'ai installés.

j'ai bien mis :

tar zxvf  jdk-8u112-linux-i586.tar.gz

le jdk s'est dépaqueté et netbeans réclame toujours un jdk !
Comment les désinstaller? ... et comment installer jdk reconnu par netBeans?
Première étape: je veux tout dézinguer et télécharger / dépaqueter à partir du site Oracle. Il y a une version netbeans avec jdk incorporé.
j'espère être compréhensible.
Merci cool

Dernière modification par Dasy (Le 08/01/2017, à 23:33)


ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#2 Le 02/01/2017, à 10:48

lann

Re : Netbeans indéboulonnable

Comment as-tu installé Netbeans ?

Hors ligne

#3 Le 02/01/2017, à 23:09

Dasy

Re : Netbeans indéboulonnable

J'ai installé Netbeans à partir de paquets du site Oracle. La logithèque le détecte, me propose de le supprimer mais ça ne fonctionne pas de la logithèque.


ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#4 Le 02/01/2017, à 23:25

Dasy

Re : Netbeans indéboulonnable

j'ai testé la commande

sudo apt-get autoremove --purge
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  ant* ant-optional* antlr3* aspectj* bnd* default-jdk* default-jdk-doc*
  default-jdk-headless* eclipse-platform-data* eclipse-rcp* fastjar*
  jarwrapper* javahelp2* junit* junit-doc* junit4* junit4-doc* libantlr-java*
  libantlr3-runtime-java* libapache-pom-java* libasm3-java* libasm4-java*
  libaspectj-java* libatinject-jsr330-api-java* libavalon-framework-java*
  libbeansbinding-java* libbindex-java* libbonoboui2-0* libbonoboui2-common*
  libbsh-java* libbytelist-java* libcdi-api-java* libcglib3-java*
  libcommons-beanutils-java* libcommons-cli-java* libcommons-codec-java*
  libcommons-collections3-java* libcommons-compress-java*
  libcommons-dbcp-java* libcommons-digester-java* libcommons-httpclient-java*
  libcommons-io-java* libcommons-lang-java* libcommons-logging-java*
  libcommons-net-java* libcommons-parent-java* libcommons-pool-java*
  libdb-java* libdb-je-java* libdb5.3-java* libdb5.3-java-jni*
  libeasymock-java* libecj-java* libeclipselink-java* libequinox-osgi-java*
  libexcalibur-logkit-java* libfelix-bundlerepository-java*
  libfelix-framework-java* libfelix-gogo-command-java*
  libfelix-gogo-runtime-java* libfelix-gogo-shell-java* libfelix-main-java*
  libfelix-osgi-obr-java* libfelix-shell-java* libfelix-utils-java*
  libfreemarker-java* libgeronimo-interceptor-3.0-spec-java*
  libgeronimo-j2ee-connector-1.5-spec-java* libgeronimo-jms-1.1-spec-java*
  libgeronimo-jpa-2.0-spec-java* libgeronimo-jta-1.1-spec-java*
  libgeronimo-osgi-support-java* libgeronimo-validation-1.0-spec-java*
  libgnome2-0* libgnome2-bin* libgnomecanvas2-0* libgnomecanvas2-common*
  libgnomeui-0* libgnomeui-common* libguava-java* libhamcrest-java*
  libhamcrest-java-doc* libhtml5parser-java* libhttpclient-java*
  libhttpcore-java* libice-dev* libicu4j-4.4-java* libicu4j-49-java*
  libicu4j-java* libini4j-java* libjavaewah-java* libjcodings-java*
  libjcommander-java* libjemmy2-java* libjetty8-java* libjgit-java*
  libjline-java* libjna-java* libjna-jni* libjna-platform-java*
  libjnlp-servlet-java* libjoda-convert-java* libjoda-time-java*
  libjpa-2.1-spec-java* libjpeg62* libjsch-agent-proxy-java* libjsch-java*
  libjson-simple-java* libjsr305-java* libjsr311-api-java* libjtidy-java*
  libjvyamlb-java* libjzlib-java* libkxml2-java* liblog4j1.2-java*
  liblucene2-java* liblucene3-contrib-java* liblucene3-java* libmail-java*
  libmysql-java* libnb-absolutelayout-java* libnb-apisupport3-java*
  libnb-ide14-java* libnb-java5-java* libnb-javaparser-java*
  libnb-org-openide-modules-java* libnb-org-openide-util-java*
  libnb-org-openide-util-lookup-java* libnb-platform-devel-java*
  libnb-platform18-java* libobjenesis-java* libosgi-annotation-java*
  libosgi-compendium-java* libosgi-core-java* libosgi-foundation-ee-java*
  libpostgresql-jdbc-java* libpthread-stubs0-dev* libqtwebkit4*
  libregexp-java* libsdo-api-java* libsequence-library-java* libserf-1-1*
  libservlet2.5-java* libservlet3.0-java* libservlet3.1-java*
  libsimple-validation-java* libslf4j-java* libsm-dev* libsqljet-java*
  libstringtemplate-java* libstringtemplate4-java* libsvn-java* libsvn1*
  libsvnclientadapter-java* libsvnkit-java* libswing-layout-java*
  libswingx-java* libswt-cairo-gtk-3-jni* libswt-glx-gtk-3-jni*
  libswt-gnome-gtk-3-jni* libswt-gtk-3-java* libswt-gtk-3-jni*
  libswt-webkit-gtk-3-jni* libtomcat7-java* libtrilead-ssh2-java*
  libws-commons-util-java* libx11-dev* libx11-doc* libxau-dev* libxcb1-dev*
  libxdmcp-dev* libxerces2-java* libxml-commons-external-java*
  libxml-commons-resolver1.1-java* libxt-dev* libyaml-snake-java*
  linux-headers-4.4.0-34* linux-headers-4.4.0-34-generic*
  linux-headers-4.4.0-36* linux-headers-4.4.0-36-generic*
  linux-headers-4.4.0-38* linux-headers-4.4.0-38-generic*
  linux-headers-4.4.0-42* linux-headers-4.4.0-42-generic*
  linux-headers-4.4.0-43* linux-headers-4.4.0-43-generic*
  linux-headers-4.4.0-45* linux-headers-4.4.0-45-generic*
  linux-headers-4.4.0-47* linux-headers-4.4.0-47-generic*
  linux-headers-4.4.0-51* linux-headers-4.4.0-51-generic*
  linux-image-4.4.0-34-generic* linux-image-4.4.0-36-generic*
  linux-image-4.4.0-38-generic* linux-image-4.4.0-42-generic*
  linux-image-4.4.0-43-generic* linux-image-4.4.0-45-generic*
  linux-image-4.4.0-47-generic* linux-image-4.4.0-51-generic*
  linux-image-extra-4.4.0-34-generic* linux-image-extra-4.4.0-36-generic*
  linux-image-extra-4.4.0-38-generic* linux-image-extra-4.4.0-42-generic*
  linux-image-extra-4.4.0-43-generic* linux-image-extra-4.4.0-45-generic*
  linux-image-extra-4.4.0-47-generic* linux-image-extra-4.4.0-51-generic*
  openjdk-8-doc* openjdk-8-jdk* sat4j* squeak-plugins-scratch* squeak-vm*
  testng* ubuntu-core-launcher* x11proto-core-dev* x11proto-input-dev*
  x11proto-kb-dev* xorg-sgml-doctools* xtrans-dev*
0 mis à jour, 0 nouvellement installés, 220 à enlever et 0 non mis à jour.
Après cette opération, 2 605 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n]

j'ai dit non. il y a du java partout et je m'en sers.
Peut-être que chaque logiciel nécessitant du jdk n'utilise que son jdk; bref je devrais l'installer à chaque installation de IDE java


ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#5 Le 03/01/2017, à 11:08

lann

Re : Netbeans indéboulonnable

Essayes ceci :

sudo dpkg -r netbeans

Hors ligne

#6 Le 03/01/2017, à 23:20

Dasy

Re : Netbeans indéboulonnable

j'obtiens:

 sudo dpkg -r netbeans
dpkg : avertissement : requête pour supprimer netbeans ignorée, seuls les fichiers
de configuration sont installés ; utiliser --purge pour les supprimer aussi

ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#7 Le 04/01/2017, à 10:20

lann

Re : Netbeans indéboulonnable

essayes

sudo dpkg -r netbeans --purge

puis donnes le retour de

which netbeans

Hors ligne

#8 Le 04/01/2017, à 22:01

Dasy

Re : Netbeans indéboulonnable

sudo dpkg -r netbeans --purge
dpkg : erreur : --remove requiert un nom de paquet légal. « --purge » ne l'est pas ; 
nom de paquet illégal dans la spécification « --purge » : doit commencer par un caractère alphanumérique

Utilisez « dpkg --help » pour obtenir de l'aide à propos de l'installation et la désinstallation des paquets [*] ;
Utilisez « apt » ou « aptitude » pour gérer les paquets de manière plus conviviale ;
Utilisez « dpkg -Dhelp » pour obtenir la liste des valeurs de drapeaux de débogage ;
Utilisez « dpkg --force-help » pour consulter la liste des options de forçage ;
Utilisez « dpkg-deb --help » pour obtenir de l'aide sur la manipulation des fichiers *.deb ;

Les options marquées d'un [*] affichent beaucoup d'informations : tubez-les à travers « less » ou « more ».

ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#9 Le 04/01/2017, à 22:02

Dasy

Re : Netbeans indéboulonnable

aucun retour pour "which netbeans"


ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#10 Le 04/01/2017, à 23:01

lann

Re : Netbeans indéboulonnable

Bon alors tu ne l'as plus.
Tu n'as plus qu'à l'installer par

sudo apt-get install netbeans

Hors ligne

#11 Le 08/01/2017, à 23:32

Dasy

Re : Netbeans indéboulonnable

lann a écrit :

Bon alors tu ne l'as plus.

Si je l'ai toujours. L'option "supprimer" dans la logithèque a semblé fonctionner. En apparence, la logithèque m'annonce que Netbeans était retiré mais il n'en est rien. Les icônes sont présentes et lancent NetBeans.


ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#12 Le 08/01/2017, à 23:39

Dasy

Re : Netbeans indéboulonnable

... mais en écrivant le bon script....

sudo dpkg --purge netbeans
(Lecture de la base de données... 579844 fichiers et répertoires déjà installés.)
Suppression de netbeans (8.1+dfsg2-3) ...
Purge des fichiers de configuration de netbeans (8.1+dfsg2-3) ...

ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#13 Le 08/01/2017, à 23:42

Dasy

Re : Netbeans indéboulonnable

... et NetBeans toujours présent... sad


ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#14 Le 08/01/2017, à 23:46

Dasy

Re : Netbeans indéboulonnable

sudo apt-get autoremove netbeans
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Le paquet « netbeans » n'est pas installé, et ne peut donc être supprimé
Les paquets suivants seront ENLEVÉS :
  ant ant-optional antlr3 aspectj bnd cups-browsed cups-core-drivers
  cups-daemon cups-filters-core-drivers cups-server-common default-jdk
  default-jdk-doc default-jdk-headless eclipse-platform-data eclipse-rcp
  fastjar hplip-data jarwrapper java-wrappers javahelp2 junit junit-doc junit4
  junit4-doc libantlr-java libantlr3-runtime-java libapache-pom-java
  libasm3-java libasm4-java libaspectj-java libatinject-jsr330-api-java
  libavalon-framework-java libbeansbinding-java libbindex-java libbonoboui2-0
  libbonoboui2-common libbsh-java libbytelist-java libcdi-api-java
  libcglib3-java libcommons-beanutils-java libcommons-cli-java
  libcommons-codec-java libcommons-collections3-java libcommons-compress-java
  libcommons-dbcp-java libcommons-digester-java libcommons-httpclient-java
  libcommons-io-java libcommons-lang-java libcommons-logging-java
  libcommons-net-java libcommons-parent-java libcommons-pool-java libcupscgi1
  libcupsmime1 libdb-java libdb-je-java libdb5.3-java libdb5.3-java-jni
  libeasymock-java libecj-java libeclipselink-java libequinox-osgi-java
  libexcalibur-logkit-java libfelix-bundlerepository-java
  libfelix-framework-java libfelix-gogo-command-java
  libfelix-gogo-runtime-java libfelix-gogo-shell-java libfelix-main-java
  libfelix-osgi-obr-java libfelix-shell-java libfelix-utils-java libfontembed1
  libfreemarker-java libgeronimo-interceptor-3.0-spec-java
  libgeronimo-j2ee-connector-1.5-spec-java libgeronimo-jms-1.1-spec-java
  libgeronimo-jpa-2.0-spec-java libgeronimo-jta-1.1-spec-java
  libgeronimo-osgi-support-java libgeronimo-validation-1.0-spec-java
  libgnome2-0 libgnome2-bin libgnomecanvas2-0 libgnomecanvas2-common
  libgnomeui-0 libgnomeui-common libguava-java libgutenprint2 libhamcrest-java
  libhamcrest-java-doc libhpmud0 libhtml5parser-java libhttpclient-java
  libhttpcore-java libice-dev libicu4j-4.4-java libicu4j-49-java libicu4j-java
  libini4j-java libjavaewah-java libjcodings-java libjcommander-java
  libjemmy2-java libjetty8-java libjgit-java libjline-java libjna-java
  libjna-jni libjna-platform-java libjnlp-servlet-java libjoda-convert-java
  libjoda-time-java libjpa-2.1-spec-java libjpeg62 libjsch-agent-proxy-java
  libjsch-java libjson-simple-java libjsr305-java libjsr311-api-java
  libjtidy-java libjvyamlb-java libjzlib-java libkxml2-java liblog4j1.2-java
  liblouisutdml-bin liblouisutdml-data liblouisutdml6 liblucene2-java
  liblucene3-contrib-java liblucene3-java libmail-java libmysql-java
  libnb-absolutelayout-java libnb-apisupport3-java libnb-ide14-java
  libnb-java5-java libnb-javaparser-java libnb-org-openide-modules-java
  libnb-org-openide-util-java libnb-org-openide-util-lookup-java
  libnb-platform-devel-java libnb-platform18-java libobjenesis-java
  libosgi-annotation-java libosgi-compendium-java libosgi-core-java
  libosgi-foundation-ee-java libpostgresql-jdbc-java libpthread-stubs0-dev
  libqpdf17 libqtwebkit4 libregexp-java libsane-hpaio libsdo-api-java
  libsensors4 libsequence-library-java libserf-1-1 libservlet2.5-java
  libservlet3.0-java libservlet3.1-java libsimple-validation-java
  libslf4j-java libsm-dev libsnmp-base libsnmp30 libsqljet-java
  libstringtemplate-java libstringtemplate4-java libsvn-java libsvn1
  libsvnclientadapter-java libsvnkit-java libswing-layout-java libswingx-java
  libswt-cairo-gtk-3-jni libswt-glx-gtk-3-jni libswt-gnome-gtk-3-jni
  libswt-gtk-3-java libswt-gtk-3-jni libswt-webkit-gtk-3-jni libtomcat7-java
  libtrilead-ssh2-java libws-commons-util-java libx11-dev libx11-doc
  libxau-dev libxcb1-dev libxdmcp-dev libxerces2-java
  libxml-commons-external-java libxml-commons-resolver1.1-java libxt-dev
  libyaml-snake-java linux-headers-4.4.0-34 linux-headers-4.4.0-34-generic
  linux-headers-4.4.0-36 linux-headers-4.4.0-36-generic linux-headers-4.4.0-38
  linux-headers-4.4.0-38-generic linux-headers-4.4.0-42
  linux-headers-4.4.0-42-generic linux-headers-4.4.0-43
  linux-headers-4.4.0-43-generic linux-headers-4.4.0-45
  linux-headers-4.4.0-45-generic linux-headers-4.4.0-47
  linux-headers-4.4.0-47-generic linux-headers-4.4.0-51
  linux-headers-4.4.0-51-generic linux-image-4.4.0-34-generic
  linux-image-4.4.0-36-generic linux-image-4.4.0-38-generic
  linux-image-4.4.0-42-generic linux-image-4.4.0-43-generic
  linux-image-4.4.0-45-generic linux-image-4.4.0-47-generic
  linux-image-4.4.0-51-generic linux-image-extra-4.4.0-34-generic
  linux-image-extra-4.4.0-36-generic linux-image-extra-4.4.0-38-generic
  linux-image-extra-4.4.0-42-generic linux-image-extra-4.4.0-43-generic
  linux-image-extra-4.4.0-45-generic linux-image-extra-4.4.0-47-generic
  linux-image-extra-4.4.0-51-generic openjdk-8-doc openjdk-8-jdk
  python3-pexpect python3-pil python3-ptyprocess python3-renderpm
  python3-reportlab python3-reportlab-accel qpdf sat4j squeak-plugins-scratch
  squeak-vm testng x11proto-core-dev x11proto-input-dev x11proto-kb-dev
  xorg-sgml-doctools xtrans-dev

je n'ai pas enlevé ces paquets.


ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#15 Le 09/01/2017, à 22:32

lann

Re : Netbeans indéboulonnable

oui il ne faut pas les enlever.
Mais ou as tu installer netbeans ?

sudo find / -name netbeans

Hors ligne

#16 Le 11/01/2017, à 22:59

Dasy

Re : Netbeans indéboulonnable

sudo find / -name netbeans

/home/knut/netbeans-8.2/java/update/backup/netbeans
/home/knut/netbeans-8.2/java/sources/org/netbeans
/home/knut/netbeans-8.2/nb/config/Preferences/org/netbeans
/home/knut/netbeans-8.2/bin/netbeans
/home/knut/netbeans-8.2/ide/update/backup/netbeans
/home/knut/netbeans-8.2/ide/docs/org/netbeans
/home/knut/netbeans-8.2/platform/update/backup/netbeans
/home/knut/netbeans-8.2/enterprise/ant/sources/org/netbeans
/home/knut/netbeans-8.2/profiler/update/backup/netbeans
/home/knut/netbeans-8.2/webcommon/update/backup/netbeans
/home/knut/.netbeans/8.1/config/Preferences/org/netbeans
/home/knut/.netbeans/8.2/config/Preferences/org/netbeans
/home/knut/.cache/netbeans
find: «/run/user/1000/gvfs»: Permission non accordée
/usr/share/netbeans
/usr/share/netbeans/ide14/docs/org/netbeans
/usr/share/netbeans/java5/sources/org/netbeans
/usr/share/maven-repo/org/netbeans

j'ai un doublon

Dernière modification par Dasy (Le 11/01/2017, à 22:59)


ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#17 Le 12/01/2017, à 22:17

lann

Re : Netbeans indéboulonnable

Tu as installé netbeans dans ton home.
Tu peux supprimer le dossier netbeans.
A moins que tu saches comment tu l'as installé ce qui pourrait permettre une désinstallation plus propre

Hors ligne

#18 Le 14/01/2017, à 00:02

Dasy

Re : Netbeans indéboulonnable

j'ai installé le paquet graphiquement en cherchant dans le paquet.
J'ai supprimé les paquet, fichier sh trouvés dans home et téléchargement.


ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#19 Le 14/01/2017, à 10:53

lann

Re : Netbeans indéboulonnable

Maintenant tu ne devrais plus pouvoir lancer netbeans ?

Hors ligne

#20 Le 15/01/2017, à 00:23

Dasy

Re : Netbeans indéboulonnable

dans l'appli "chercher sur l'ordinateur" de la barre d'outils, je tape Netbeans et j'obtiens des icônes, 'IDE Installer" et un fichier sh.
Quand je clique dessus je n'ai pas le chemin d'accès mais l'icône Netbeans apparaît dans la barre d'outils puis disparaît sans avoir démarré le programme.
Depuis j'ai mon imprimante hors d'usage. Peut-être ai-je supprimé un fichier de trop (File "/usr/lib/cups/filter/rastertoqpdl" not available: No such file or directory). Peut-être c'est sans rapport.


ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#21 Le 15/01/2017, à 12:00

lann

Re : Netbeans indéboulonnable

Et ben maintenant, tu installes netbeans normalement :

sudo apt-get install netbeans

Hors ligne

#22 Le 15/01/2017, à 18:09

Dasy

Re : Netbeans indéboulonnable

sudo apt-get install netbeans

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  cups-browsed cups-core-drivers cups-daemon cups-filters-core-drivers
  cups-server-common eclipse-platform-data fastjar hplip-data jarwrapper
  libcommons-cli-java libcommons-dbcp-java libcommons-httpclient-java
  libcommons-pool-java libcupscgi1 libcupsmime1 libdb-java libdb-je-java
  libdb5.3-java libdb5.3-java-jni libecj-java libfontembed1 libgutenprint2
  libhpmud0 libjetty8-java libjline-java libjpeg62 libjtidy-java
  liblouisutdml-bin liblouisutdml-data liblouisutdml6 liblucene2-java
  libqpdf17 libqtwebkit4 libsane-hpaio libsensors4 libsnmp-base libsnmp30
  libtomcat7-java linux-headers-4.4.0-34 linux-headers-4.4.0-34-generic
  linux-headers-4.4.0-36 linux-headers-4.4.0-36-generic linux-headers-4.4.0-38
  linux-headers-4.4.0-38-generic linux-headers-4.4.0-42
  linux-headers-4.4.0-42-generic linux-headers-4.4.0-43
  linux-headers-4.4.0-43-generic linux-headers-4.4.0-45
  linux-headers-4.4.0-45-generic linux-headers-4.4.0-47
  linux-headers-4.4.0-47-generic linux-headers-4.4.0-51
  linux-headers-4.4.0-51-generic linux-headers-4.4.0-53
  linux-headers-4.4.0-53-generic linux-image-4.4.0-34-generic
  linux-image-4.4.0-36-generic linux-image-4.4.0-38-generic
  linux-image-4.4.0-42-generic linux-image-4.4.0-43-generic
  linux-image-4.4.0-45-generic linux-image-4.4.0-47-generic
  linux-image-4.4.0-51-generic linux-image-4.4.0-53-generic
  linux-image-extra-4.4.0-34-generic linux-image-extra-4.4.0-36-generic
  linux-image-extra-4.4.0-38-generic linux-image-extra-4.4.0-42-generic
  linux-image-extra-4.4.0-43-generic linux-image-extra-4.4.0-45-generic
  linux-image-extra-4.4.0-47-generic linux-image-extra-4.4.0-51-generic
  linux-image-extra-4.4.0-53-generic python3-pexpect python3-pil
  python3-ptyprocess python3-renderpm python3-reportlab
  python3-reportlab-accel qpdf sat4j squeak-plugins-scratch squeak-vm
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les NOUVEAUX paquets suivants seront installés :
  netbeans
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 601 ko dans les archives.
Après cette opération, 1 443 ko d'espace disque supplémentaires seront utilisés.
Réception de:1 http://fr.archive.ubuntu.com/ubuntu xenial/universe i386 netbeans all 8.1+dfsg2-3 [601 kB]
601 ko réceptionnés en 0s (998 ko/s)
Sélection du paquet netbeans précédemment désélectionné.
(Lecture de la base de données... 612311 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../netbeans_8.1+dfsg2-3_all.deb ...
Dépaquetage de netbeans (8.1+dfsg2-3) ...
Traitement des actions différées (« triggers ») pour bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Traitement des actions différées (« triggers ») pour gnome-menus (3.13.3-6ubuntu3.1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.22-1ubuntu5) ...
Traitement des actions différées (« triggers ») pour mime-support (3.59ubuntu1) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-0ubuntu1) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.5-1) ...
Paramétrage de netbeans (8.1+dfsg2-3) ...

ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#23 Le 15/01/2017, à 18:13

Dasy

Re : Netbeans indéboulonnable

merci
Netbeans 8.1 démarre. C'est la version 8.1 et pas 8.2 mais ça fonctionne.. Je pensais que la fonction "sudo apt-get install netbeans" installait d'office la dernière version


ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne

#24 Le 15/01/2017, à 19:04

lann

Re : Netbeans indéboulonnable

Dasy a écrit :

Je pensais que la fonction "sudo apt-get install netbeans" installait d'office la dernière version

Non c'est la version qui est dans les dépôts de ta distribution

Tu peux également faire un peu de ménage :

sudo apt-get autoremove --purge
sudo apt-get autoclean

Hors ligne

#25 Le 15/01/2017, à 19:31

Dasy

Re : Netbeans indéboulonnable

J'ai appliqué

sudo apt-get autoremove --purge

j'espère ne pas avoir fait de bêtise. Je me sers actuellement de Eclipse Neon


ordi 32 bits,: Intel Core 2 Duo CPU T5250 @ 1.50GHz × 2
Ubuntu Xenial 16.04

Hors ligne